com.sun.source.tree

## Interface VariableTree

- All Superinterfaces:
    StatementTree, Tree

      public interface VariableTree
      extends StatementTree

  A tree node for a variable declaration. For example:

         modifiers type name initializer ;

  Since:
    1.6
  See Also:
    "The Java Language Specification, 3rd ed, sections 8.3 and 14.4"

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpressionTree` | `getInitializer()`
    `ModifiersTree` | `getModifiers()`
    `Name` | `getName()`
    `Tree` | `getType()`

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getModifiers

          ModifiersTree getModifiers()

    - #### getName

          Name getName()

    - #### getType

          Tree getType()

    - #### getInitializer

          ExpressionTree getInitializer()

Copyright © 2005, 2014, Oracle and/or its affiliates. All rights reserved.